Web Home
Getting Started
Manual
Packages
Quick Reference
Language Reference
Function Reference
I/O Reference

- Language Reference
- Function Reference
  - Including Source Files
  - Comments
  - Issuing Shell Commands
  - Matrix Multiplication
  - Information About Variables
  - Elementary Functions
  - Advanced Array Indexing
  - Index Range Functions
  - Logical Functions
  - Interpolation and Lookup Functions
  - Sorting
  - Transposing
  - Manipulating Strings
  - Generating Simple Meshes
  - Using Pointers
  - Instancing Data Structures
  - Reshaping Arrays
- I/O Reference

# Yorick Function Reference

## Issuing Shell Commands

You can execute a system command, returning to Yorick when the command completes, by prefixing the command line with `$`:

`$`any shell command line

This is a shorthand for the `system` function:

`system, shell_string` pass shell_string to a system shell

You need to use the `system` function if you want to compute the shell_string; otherwise `$` is more convenient.

Note that the cd (change directory) shell command and its relatives will not have any effect on Yorick's working directory. Instead, use Yorick's `cd` function to change it's working directory:

`cd, path_name` | change Yorick's default directory
`get_cwd()` | return Yorick's current working directory

The following functions also relate to the operating system:

`get_home()` | return your home directory
`get_env(env_string)` | return environment variable env_string
`get_argv()` | return the command line arguments